Skip to main content
PUT
/
api
/
v1
/
:team_slug
/
:app_slug
/
warehouses
/
:warehouse_slug
/
market
/
:market_slug
Error
A valid request URL is required to generate request examples
{
  "data": {
    "address": {
      "country": "<string>",
      "city": "<string>",
      "postal_code": "<string>",
      "state": "<string>",
      "street_address": "<string>"
    },
    "app_id": "<string>",
    "available_online": true,
    "created_at": "<string>",
    "id": "<string>",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "<string>"
        ],
        "created_at": "<string>",
        "currency_code": "<string>",
        "id": "<string>",
        "locale": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "updated_at": "<string>"
      }
    ],
    "name": "<string>",
    "slug": "<string>",
    "updated_at": "<string>"
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

warehouse_slug
string
required

Warehouse slug

market_slug
string
required

Market slug

app_slug
string
required

App slug

team_slug
string
required

Team slug

Response

Updated warehouse data

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean